#ifndef _COVERAGE_VIS_H_
#define _COVERAGE_VIS_H_

/*
 *****************************************************
 *
 *  SaVi by Robert Thurman (thurman@geom.umn.edu) and
 *          Patrick Worfolk (worfolk@alum.mit.edu).
 *
 *  Copyright (c) 1997 by The Geometry Center.
 *  This file is part of SaVi.  SaVi is free software;
 *  you can redistribute it and/or modify it only under
 *  the terms given in the file COPYRIGHT which you should
 *  have received along with this file.  SaVi may be
 *  obtained by emailing savi@geom.umn.edu.
 *
 *****************************************************
 *  
 * coverage_vis.h
 *
 */
#include <tk.h>
#include <stats_utils.h>
#include <Satellite.h>

extern void image_init(grid *g);
extern void update_display(int projection, grid *g, int coverage_flag, 
			   int tracks_flag);
extern void grid_to_image(grid *g);
extern Tk_PhotoImageBlock *get_image(void);
extern void clear_intensity(grid *g);
extern void set_coverage(int projection, grid *g);
extern void reset_foreground(int projection, grid *g);
extern void tracks_to_foreground(const Satellite_list SL, int projection, grid *g,
				 int index, const CentralBody *pcb);
extern void track_to_foreground(Satellite s, int projection, grid *g,
				int index, const CentralBody *pcb);
void write_coverage_image(FILE *out);

#ifdef COVERAGE2
extern void update_display2(int projection, grid *g);
#endif

#endif
/* !_COVERAGE_VIS_H */


