#ifndef _GLOBALS_H_
#define _GLOBALS_H_

/*
 *****************************************************
 *
 *  SaVi by Robert Thurman (thurman@geom.umn.edu) and
 *          Patrick Worfolk (worfolk@geom.umn.edu).
 *
 *  Copyright (c) 1995-1996 by The Geometry Center.
 *  All rights reserved.
 *
 *****************************************************
 *  
 * globals.h
 *
 * Global variable declarations
 *
 */
#include "orbit_utils.h"
#include "savi.h"

extern int geomview_module; /* TRUE if program is a geomview module */

extern char EMPTY_str[];  /* emptry string */
extern char *Version; /* string containing who and when compiled */

extern int motion;   /* TRUE to move satellites, FALSE to stop them */
extern int reset;    /* TRUE to reset satellites to original positions */
extern double direction; /* 1.0 = FORWARDS, -1.0 = BACKWARDS */
extern int single_step; /* TRUE if take only one step */
extern double delta_t; /* time increment */
extern double coverage_angle; /* angle for footprints */
extern double tracks_interval; /* time interval for computing ground tracks */
extern unsigned int transforms_needed; /* flag for sending transforms to gv */

extern int output_on; /* flag for output existing */
extern FILE *output_fp; /* output file pointer */

/* size of image for coverage display */
extern int Image_Width;
extern int Image_Height;

/* */
extern ViewModule view_modules[];
extern const int N_VIEW_MODULES;
extern CompModule comp_modules[];
extern const int N_COMP_MODULES;

#endif /* !_GLOBALS_H_ */
