#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@geom.umn.edu).
#
#  Copyright (c) 1995-1996 by The Geometry Center.
#  All rights reserved.
#
######################################################
#  
# links.tcl
#


proc links(build) {} {
    global links

    if [winfo exists .links] {
	wm deiconify .links
	raise .links
	return
    }

    set name [build_Toplevel links]
    build_Title $name "Intersatellite Links"

    set cmd [build_CmdFrame $name cmd]

    build_Optionsactionlist $cmd oalist links(change) \
	{"Same plane, 2 in front" links(p2)} \
	{"Same plane, 1 in front" links(p1)} \
	{"Same plane, 1 behind" links(pm1)} \
	{"Same plane, 2 behind" links(pm2)} \
	{"Nearest neighbor, 2 planes to the right" links(n2)} \
	{"Nearest neighbor, 1 plane to the right" links(n1)} \
	{"Nearest neighbor, 1 plane to the left" links(nm1)} \
	{"Nearest neighbor, 2 planes to the left" links(nm2)}

    pack $cmd -fill both -expand 1

    build_DismissButtonbar $name dbbar "destroy .links" \
}

proc links(change) {} {
    global links

    puts stderr "satellites LINKS_ON $links(p2) $links(p1) $links(pm1) \
$links(pm2) $links(n2) $links(n1) $links(nm1) $links(nm2)"

    satellites LINKS_ON $links(p2) $links(p1) $links(pm1) \
	$links(pm2) $links(n2) $links(n1) $links(nm1) $links(nm2)

}