#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@alum.mit.edu).
#
#  Copyright (c) 1997 by The Geometry Center.
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained by emailing savi@geom.umn.edu.
#
######################################################
#  
# save.tcl
#

proc save(build) {} {

    set name [build_Toplevel save]

    build_Title $name "Save tcl file"

    set cmd [build_CmdFrame $name cmd]

    build_Filename $cmd fn Save(filename) Save(directory)

    pack $cmd -fill x

    build_DismissButtonbar $name dbbar save(dismiss) \
	{"Save" save(go)}
}

proc save(dismiss) {} {
    destroy .save
}

proc save(go) {} {
    global Save
    
    # open file
    set f [open $Save(directory)/$Save(filename) w]
    if {$f == ""} return

    # put a wrapper around satellite creation
    puts $f "satellites GV_BEGIN"

    # write satellites
    set n [.main.cmd.lb size]
    for {set i 0} {$i < $n} {incr i} {
	set noe [satellites GET $i]
	puts -nonewline $f "satellites LOAD "
	puts $f $noe
    }

    # close file
    puts $f "satellites GV_END"
    close $f

    # close window
    save(dismiss)
}
